Closed Bug 1525129 Opened 10 months ago Closed 9 months ago

Intermittent devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | A promise chain failed to handle a rejection: Connection closed, pending request to server1.conn308.child1/highlighter54, type showBoxModel

Categories

(DevTools :: Console, defect, P5)

defect

Tracking

(firefox67 fixed)

RESOLVED FIXED
Firefox 67
Tracking Status
firefox67 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: nchevobbe)

Details

(Keywords: intermittent-failure, Whiteboard: [retriggered])

Attachments

(1 file)

#[markdown(off)]
Filed by: dluca [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=225963448&repo=autoland

https://queue.taskcluster.net/v1/task/Jw5fjfQZS8azhTWIBOAnnQ/runs/0/artifacts/public/logs/live_backing.log

INFO - TEST-START | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js
[task 2019-02-04T20:40:25.746Z] 20:40:25 INFO - GECKO(1494) | ++DOCSHELL 0x7f001d7a2800 == 2 [pid = 1691] [id = {8b73517b-b3eb-4fee-ac3d-efb84cfc2c90}]
[task 2019-02-04T20:40:25.748Z] 20:40:25 INFO - GECKO(1494) | ++DOMWINDOW == 4 (0x7f001d49d800) [pid = 1691] [serial = 483] [outer = (nil)]
[task 2019-02-04T20:40:25.806Z] 20:40:25 INFO - GECKO(1494) | ++DOMWINDOW == 5 (0x7f001d4a5000) [pid = 1691] [serial = 484] [outer = 0x7f001d49d800]
[task 2019-02-04T20:40:25.855Z] 20:40:25 INFO - GECKO(1494) | ++DOMWINDOW == 6 (0x7f001d4a6400) [pid = 1691] [serial = 485] [outer = 0x7f001d49d800]
[task 2019-02-04T20:40:26.067Z] 20:40:26 INFO - GECKO(1494) | --DOCSHELL 0x7f04d9cbf000 == 10 [pid = 1494] [id = {249cb309-2d0e-4385-b641-591ae90073b6}]
[task 2019-02-04T20:40:26.068Z] 20:40:26 INFO - GECKO(1494) | --DOCSHELL 0x7f04db695000 == 9 [pid = 1494] [id = {d859122f-d85d-4f5b-95a2-2cc42fd0c78d}]
[task 2019-02-04T20:40:26.071Z] 20:40:26 INFO - GECKO(1494) | --DOMWINDOW == 24 (0x7f04ed5cbc00) [pid = 1494] [serial = 1756] [outer = (nil)] [url = chrome://devtools/content/webconsole/index.html]
[task 2019-02-04T20:40:26.073Z] 20:40:26 INFO - GECKO(1494) | --DOCSHELL 0x7f04dbeb5800 == 8 [pid = 1494] [id = {03ccda7a-bf6d-42d3-ba60-a198df7bc9a1}]
[task 2019-02-04T20:40:26.196Z] 20:40:26 INFO - GECKO(1494) | --DOCSHELL 0x7f04dbd27800 == 7 [pid = 1494] [id = {f12107b3-8fec-491c-80bf-d690757d2c52}]
[task 2019-02-04T20:40:26.278Z] 20:40:26 INFO - GECKO(1494) | ++DOCSHELL 0x7f04db68a800 == 8 [pid = 1494] [id = {f538496a-1d74-4667-a476-fc6cfdd3cbb0}]
[task 2019-02-04T20:40:26.279Z] 20:40:26 INFO - GECKO(1494) | ++DOMWINDOW == 25 (0x7f04da0f1400) [pid = 1494] [serial = 1766] [outer = (nil)]
[task 2019-02-04T20:40:26.281Z] 20:40:26 INFO - GECKO(1494) | ++DOMWINDOW == 26 (0x7f04da445400) [pid = 1494] [serial = 1767] [outer = 0x7f04da0f1400]
[task 2019-02-04T20:40:26.399Z] 20:40:26 INFO - GECKO(1494) | ++DOMWINDOW == 27 (0x7f04db6ef800) [pid = 1494] [serial = 1768] [outer = 0x7f04da0f1400]
[task 2019-02-04T20:40:26.598Z] 20:40:26 INFO - GECKO(1494) | --DOMWINDOW == 3 (0x7f0d49165400) [pid = 1645] [serial = 405] [outer = (nil)] [url = about:blank]
[task 2019-02-04T20:40:26.598Z] 20:40:26 INFO - GECKO(1494) | --DOCSHELL 0x7f0d49042800 == 1 [pid = 1645] [id = {e91cbd46-27a6-4a7d-b7da-e6927bd33a2b}]
[task 2019-02-04T20:40:26.850Z] 20:40:26 INFO - GECKO(1494) | ++DOCSHELL 0x7f04db68c800 == 9 [pid = 1494] [id = {c075906c-8649-4d9a-b73f-9c7728cb526f}]
[task 2019-02-04T20:40:26.850Z] 20:40:26 INFO - GECKO(1494) | ++DOMWINDOW == 28 (0x7f04db6f2c00) [pid = 1494] [serial = 1769] [outer = (nil)]
[task 2019-02-04T20:40:26.851Z] 20:40:26 INFO - GECKO(1494) | ++DOMWINDOW == 29 (0x7f04db6f8000) [pid = 1494] [serial = 1770] [outer = 0x7f04db6f2c00]
[task 2019-02-04T20:40:28.405Z] 20:40:28 INFO - GECKO(1494) | --DOMWINDOW == 2 (0x7f101526bc00) [pid = 1594] [serial = 394] [outer = (nil)] [url = data:text/html,<meta charset=utf8>Test reverse search initial value]
[task 2019-02-04T20:40:30.673Z] 20:40:30 INFO - GECKO(1494) | --DOMWINDOW == 2 (0x7f0d49418800) [pid = 1645] [serial = 406] [outer = (nil)] [url = about:blank]
[task 2019-02-04T20:40:30.904Z] 20:40:30 INFO - GECKO(1494) | --DOMWINDOW == 5 (0x7f001d49d000) [pid = 1691] [serial = 481] [outer = (nil)] [url = about:blank]
[task 2019-02-04T20:40:32.546Z] 20:40:32 INFO - GECKO(1494) | JavaScript error: resource://devtools/shared/protocol.js, line 1299: Error: Connection closed, pending request to server1.conn308.child1/highlighter54, type showBoxModel failed
[task 2019-02-04T20:40:32.551Z] 20:40:32 INFO - GECKO(1494) | Request stack:
[task 2019-02-04T20:40:32.551Z] 20:40:32 INFO - GECKO(1494) | request@resource://devtools/shared/protocol.js:1386:14
[task 2019-02-04T20:40:32.552Z] 20:40:32 INFO - GECKO(1494) | generateRequestMethods/</frontProto[name]@resource://devtools/shared/protocol.js:1510:14
[task 2019-02-04T20:40:32.552Z] 20:40:32 INFO - GECKO(1494) | highlight@resource://devtools/shared/fronts/highlighters.js:73:11
[task 2019-02-04T20:40:32.553Z] 20:40:32 INFO - GECKO(1494) | async*highlightDomElement@resource://devtools/client/webconsole/webconsole-output-wrapper.js:274:20
[task 2019-02-04T20:40:32.554Z] 20:40:32 INFO - GECKO(1494) | async*getObjectInspector/onDOMNodeMouseOver<@resource://devtools/client/webconsole/utils/object-inspector.js:35:21
[task 2019-02-04T20:40:32.560Z] 20:40:32 INFO - GECKO(1494) | onMouseOver@resource://devtools/client/shared/components/reps/reps.js:5887:27
[task 2019-02-04T20:40:32.563Z] 20:40:32 INFO - GECKO(1494) | invokeGuardedCallback@resource://devtools/client/shared/vendor/react-dom.js:77:5
[task 2019-02-04T20:40:32.567Z] 20:40:32 INFO - GECKO(1494) | invokeGuardedCallback@resource://devtools/client/shared/vendor/react-dom.js:107:5
[task 2019-02-04T20:40:32.569Z] 20:40:32 INFO - GECKO(1494) | invokeGuardedCallbackAndCatchFirstError@resource://devtools/client/shared/vendor/react-dom.js:121:5
[task 2019-02-04T20:40:32.571Z] 20:40:32 INFO - GECKO(1494) | executeDispatch@resource://devtools/client/shared/vendor/react-dom.js:399:3
[task 2019-02-04T20:40:32.575Z] 20:40:32 INFO - GECKO(1494) | executeDispatchesInOrder@resource://devtools/client/shared/vendor/react-dom.js:418:5
[task 2019-02-04T20:40:32.577Z] 20:40:32 INFO - GECKO(1494) | executeDispatchesAndRelease@resource://devtools/client/shared/vendor/react-dom.js:516:5
[task 2019-02-04T20:40:32.579Z] 20:40:32 INFO - GECKO(1494) | executeDispatchesAndReleaseTopLevel@resource://devtools/client/shared/vendor/react-dom.js:527:10
[task 2019-02-04T20:40:32.585Z] 20:40:32 INFO - GECKO(1494) | forEachAccumulated@resource://devtools/client/shared/vendor/react-dom.js:497:5
[task 2019-02-04T20:40:32.587Z] 20:40:32 INFO - GECKO(1494) | runEventsInBatch@resource://devtools/client/shared/vendor/react-dom.js:658:5
[task 2019-02-04T20:40:32.590Z] 20:40:32 INFO - GECKO(1494) | runExtractedEventsInBatch@resource://devtools/client/shared/vendor/react-dom.js:667:3
[task 2019-02-04T20:40:32.592Z] 20:40:32 INFO - GECKO(1494) | handleTopLevel@resource://devtools/client/shared/vendor/react-dom.js:4262:5
[task 2019-02-04T20:40:32.594Z] 20:40:32 INFO - GECKO(1494) | batchedUpdates$1@resource://devtools/client/shared/vendor/react-dom.js:13458:12
[task 2019-02-04T20:40:32.595Z] 20:40:32 INFO - GECKO(1494) | batchedUpdates@resource://devtools/client/shared/vendor/react-dom.js:2022:12
[task 2019-02-04T20:40:32.597Z] 20:40:32 INFO - GECKO(1494) | dispatchEvent@resource://devtools/client/shared/vendor/react-dom.js:4341:5
[task 2019-02-04T20:40:32.599Z] 20:40:32 INFO - GECKO(1494) | EventListener.handleEvent*addEventBubbleListener@resource://devtools/client/shared/vendor/react-dom.js:3745:3
[task 2019-02-04T20:40:32.601Z] 20:40:32 INFO - GECKO(1494) | trapBubbledEvent@resource://devtools/client/shared/vendor/react-dom.js:4292:3
[task 2019-02-04T20:40:32.607Z] 20:40:32 INFO - GECKO(1494) | listenTo@resource://devtools/client/shared/vendor/react-dom.js:4488:13
[task 2019-02-04T20:40:32.609Z] 20:40:32 INFO - GECKO(1494) | ensureListeningTo@resource://devtools/client/shared/vendor/react-dom.js:6087:3
[task 2019-02-04T20:40:32.611Z] 20:40:32 INFO - GECKO(1494) | setInitialDOMProperties@resource://devtools/client/shared/vendor/react-dom.js:6140:9
[task 2019-02-04T20:40:32.613Z] 20:40:32 INFO - GECKO(1494) | setInitialProperties$1@resource://devtools/client/shared/vendor/react-dom.js:6272:3
[task 2019-02-04T20:40:32.614Z] 20:40:32 INFO - GECKO(1494) | finalizeInitialChildren@resource://devtools/client/shared/vendor/react-dom.js:6771:3
[task 2019-02-04T20:40:32.616Z] 20:40:32 INFO - GECKO(1494) | completeWork@resource://devtools/client/shared/vendor/react-dom.js:11178:17
[task 2019-02-04T20:40:32.618Z] 20:40:32 INFO - GECKO(1494) | completeUnitOfWork@resource://devtools/client/shared/vendor/react-dom.js:12591:18
[task 2019-02-04T20:40:32.620Z] 20:40:32 INFO - GECKO(1494) | performUnitOfWork@resource://devtools/client/shared/vendor/react-dom.js:12718:12
[task 2019-02-04T20:40:32.623Z] 20:40:32 INFO - GECKO(1494) | workLoop@resource://devtools/client/shared/vendor/react-dom.js:12730:24
[task 2019-02-04T20:40:32.626Z] 20:40:32 INFO - GECKO(1494) | renderRoot@resource://devtools/client/shared/vendor/react-dom.js:12770:7
[task 2019-02-04T20:40:32.628Z] 20:40:32 INFO - GECKO(1494) | performWorkOnRoot@resource://devtools/client/shared/vendor/react-dom.js:13359:22
[task 2019-02-04T20:40:32.629Z] 20:40:32 INFO - GECKO(1494) | performWork@resource://devtools/client/shared/vendor/react-dom.js:13281:7
[task 2019-02-04T20:40:32.630Z] 20:40:32 INFO - GECKO(1494) | performSyncWork@resource://devtools/client/shared/vendor/react-dom.js:13253:3
[task 2019-02-04T20:40:32.631Z] 20:40:32 INFO - GECKO(1494) | requestWork@resource://devtools/client/shared/vendor/react-dom.js:13153:5
[task 2019-02-04T20:40:32.632Z] 20:40:32 INFO - GECKO(1494) | scheduleWork$1@resource://devtools/client/shared/vendor/react-dom.js:13022:11
[task 2019-02-04T20:40:32.635Z] 20:40:32 INFO - GECKO(1494) | enqueueSetState@resource://devtools/client/shared/vendor/react-dom.js:8845:5
[task 2019-02-04T20:40:32.635Z] 20:40:32 INFO - GECKO(1494) | Component.prototype.setState@resource://devtools/client/shared/vendor/react.js:406:3
[task 2019-02-04T20:40:32.636Z] 20:40:32 INFO - GECKO(1494) | onStateChange@resource://devtools/client/shared/vendor/react-redux.js:1412:11
[task 2019-02-04T20:40:32.637Z] 20:40:32 INFO - GECKO(1494) | notify@resource://devtools/client/shared/vendor/react-redux.js:1159:21
[task 2019-02-04T20:40:32.638Z] 20:40:32 INFO - GECKO(1494) | notifyNestedSubs@resource://devtools/client/shared/vendor/react-redux.js:1198:5
[task 2019-02-04T20:40:32.639Z] 20:40:32 INFO - GECKO(1494) | onStateChange@resource://devtools/client/shared/vendor/react-redux.js:1409:11
[task 2019-02-04T20:40:32.642Z] 20:40:32 INFO - GECKO(1494) | dispatch@resource://devtools/client/shared/vendor/redux.js:416:7
[task 2019-02-04T20:40:32.643Z] 20:40:32 INFO - GECKO(1494) | eventTelemetryMiddleware/</<@resource://devtools/client/webconsole/middleware/event-telemetry.js:19:17
[task 2019-02-04T20:40:32.643Z] 20:40:32 INFO - GECKO(1494) | historyPersistenceMiddleware/</<@resource://devtools/client/webconsole/middleware/history-persistence.js:33:17
[task 2019-02-04T20:40:32.645Z] 20:40:32 INFO - GECKO(1494) | thunk/</<@resource://devtools/client/webconsole/middleware/thunk.js:14:9
[task 2019-02-04T20:40:32.646Z] 20:40:32 INFO - GECKO(1494) | ++DOMWINDOW == 30 (0x7f04dd220c00) [pid = 1494] [serial = 1771] [outer = 0x7f04da0f1400]
[task 2019-02-04T20:40:32.987Z] 20:40:32 INFO - GECKO(1494) | --DOMWINDOW == 1 (0x7f1015265400) [pid = 1594] [serial = 395] [outer = (nil)] [url = about:blank]
[task 2019-02-04T20:40:32.987Z] 20:40:32 INFO - GECKO(1494) | --DOCSHELL 0x7f1015415000 == 0 [pid = 1594] [id = {64ce8632-f13a-4bf6-946b-9f4dddc71c4c}]
[task 2019-02-04T20:40:34.847Z] 20:40:34 INFO - GECKO(1494) | --DOMWINDOW == 29 (0x7f04ed5ce400) [pid = 1494] [serial = 1755] [outer = (nil)] [url = about:devtools-toolbox]
[task 2019-02-04T20:40:34.850Z] 20:40:34 INFO - GECKO(1494) | --DOMWINDOW == 28 (0x7f04da447800) [pid = 1494] [serial = 1759] [outer = (nil)] [url = about:blank]
[task 2019-02-04T20:40:34.851Z] 20:40:34 INFO - GECKO(1494) | --DOMWINDOW == 27 (0x7f04da63dc00) [pid = 1494] [serial = 1752] [outer = (nil)] [url = about:blank]
[task 2019-02-04T20:40:34.852Z] 20:40:34 INFO - GECKO(1494) | --DOMWINDOW == 26 (0x7f04db6ea000) [pid = 1494] [serial = 1750] [outer = (nil)] [url = about:devtools-toolbox]
[task 2019-02-04T20:40:34.857Z] 20:40:34 INFO - GECKO(1494) | --DOMWINDOW == 25 (0x7f04ed7c1800) [pid = 1494] [serial = 1757] [outer = (nil)] [url = about:blank]
[task 2019-02-04T20:40:34.858Z] 20:40:34 INFO - GECKO(1494) | --DOMWINDOW == 24 (0x7f04dd221000) [pid = 1494] [serial = 1754] [outer = (nil)] [url = about:blank]
[task 2019-02-04T20:40:34.858Z] 20:40:34 INFO - GECKO(1494) | --DOMWINDOW == 23 (0x7f04f1f2f400) [pid = 1494] [serial = 1758] [outer = (nil)] [url = about:blank]
[task 2019-02-04T20:40:34.859Z] 20:40:34 INFO - GECKO(1494) | --DOMWINDOW == 22 (0x7f04da446800) [pid = 1494] [serial = 1749] [outer = (nil)] [url = about:blank]
[task 2019-02-04T20:40:35.254Z] 20:40:35 INFO - GECKO(1494) | --DOMWINDOW == 21 (0x7f04db6f3400) [pid = 1494] [serial = 1763] [outer = (nil)] [url = chrome://devtools/content/webconsole/index.html]
[task 2019-02-04T20:40:35.254Z] 20:40:35 INFO - GECKO(1494) | --DOMWINDOW == 20 (0x7f04da0f2000) [pid = 1494] [serial = 1760] [outer = (nil)] [url = about:blank]
[task 2019-02-04T20:40:35.259Z] 20:40:35 INFO - GECKO(1494) | --DOCSHELL 0x7f04d9cbf800 == 8 [pid = 1494] [id = {e4c387ba-456b-40b3-85c5-866273e94459}]
[task 2019-02-04T20:40:35.264Z] 20:40:35 INFO - GECKO(1494) | --DOCSHELL 0x7f04d9cbe000 == 7 [pid = 1494] [id = {35c22828-fb1d-4ad7-b91f-bc499d638555}]
[task 2019-02-04T20:40:35.325Z] 20:40:35 INFO - TEST-INFO | started process screentopng
[task 2019-02-04T20:40:35.846Z] 20:40:35 INFO - TEST-INFO | screentopng: exit 0
[task 2019-02-04T20:40:35.848Z] 20:40:35 INFO - Buffered messages logged at 20:40:25
[task 2019-02-04T20:40:35.849Z] 20:40:35 INFO - Entering test bound
[task 2019-02-04T20:40:35.849Z] 20:40:35 INFO - Adding a new tab with URL: data:text/html,<meta charset=utf8>Test reverse search
[task 2019-02-04T20:40:35.849Z] 20:40:35 INFO - Buffered messages logged at 20:40:26
[task 2019-02-04T20:40:35.850Z] 20:40:35 INFO - Tab added and finished loading
[task 2019-02-04T20:40:35.850Z] 20:40:35 INFO - Opening the toolbox
[task 2019-02-04T20:40:35.851Z] 20:40:35 INFO - Buffered messages logged at 20:40:29
[task 2019-02-04T20:40:35.851Z] 20:40:35 INFO - Toolbox opened and focused
[task 2019-02-04T20:40:35.852Z] 20:40:35 INFO - Buffered messages logged at 20:40:31
[task 2019-02-04T20:40:35.852Z] 20:40:35 INFO - Matched a message with text: ""Snoopy"", all messages received.
[task 2019-02-04T20:40:35.856Z] 20:40:35 INFO - Open the reverse search UI with a keyboard shortcut
[task 2019-02-04T20:40:35.858Z] 20:40:35 INFO - TEST-PASS | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | The reverse info has the expected text -
[task 2019-02-04T20:40:35.861Z] 20:40:35 INFO - TEST-PASS | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | JsTerm has the expected input -
[task 2019-02-04T20:40:35.862Z] 20:40:35 INFO - TEST-PASS | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | Setting the input value did not trigger the autocompletion -
[task 2019-02-04T20:40:35.863Z] 20:40:35 INFO - TEST-PASS | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | JsTerm has expected value -
[task 2019-02-04T20:40:35.866Z] 20:40:35 INFO - TEST-PASS | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | The reverse info has the expected text -
[task 2019-02-04T20:40:35.867Z] 20:40:35 INFO - TEST-PASS | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | reverse search input is still focused -
[task 2019-02-04T20:40:35.868Z] 20:40:35 INFO - Buffered messages logged at 20:40:32
[task 2019-02-04T20:40:35.868Z] 20:40:35 INFO - TEST-PASS | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | JsTerm has expected value -
[task 2019-02-04T20:40:35.869Z] 20:40:35 INFO - TEST-PASS | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | The reverse info has the expected text -
[task 2019-02-04T20:40:35.871Z] 20:40:35 INFO - TEST-PASS | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | reverse search input is still focused -
[task 2019-02-04T20:40:35.872Z] 20:40:35 INFO - Check that we go back to the last matching item if we were at the first
[task 2019-02-04T20:40:35.876Z] 20:40:35 INFO - TEST-PASS | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | JsTerm has expected value -
[task 2019-02-04T20:40:35.878Z] 20:40:35 INFO - TEST-PASS | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | The reverse info has the expected text -
[task 2019-02-04T20:40:35.881Z] 20:40:35 INFO - TEST-PASS | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | reverse search input is still focused -
[task 2019-02-04T20:40:35.882Z] 20:40:35 INFO - TEST-PASS | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | JsTerm has expected value -
[task 2019-02-04T20:40:35.882Z] 20:40:35 INFO - TEST-PASS | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | The reverse info has the expected text -
[task 2019-02-04T20:40:35.883Z] 20:40:35 INFO - TEST-PASS | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | reverse search input is still focused -
[task 2019-02-04T20:40:35.885Z] 20:40:35 INFO - TEST-PASS | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | JsTerm has expected value -
[task 2019-02-04T20:40:35.887Z] 20:40:35 INFO - TEST-PASS | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | The reverse info has the expected text -
[task 2019-02-04T20:40:35.888Z] 20:40:35 INFO - TEST-PASS | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | reverse search input is still focused -
[task 2019-02-04T20:40:35.889Z] 20:40:35 INFO - TEST-PASS | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | JsTerm has expected value -
[task 2019-02-04T20:40:35.897Z] 20:40:35 INFO - TEST-PASS | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | The reverse info has the expected text -
[task 2019-02-04T20:40:35.898Z] 20:40:35 INFO - TEST-PASS | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | reverse search input is still focused -
[task 2019-02-04T20:40:35.898Z] 20:40:35 INFO - Leaving test bound
[task 2019-02-04T20:40:35.906Z] 20:40:35 INFO - Console message: [JavaScript Error: "Error: Connection closed, pending request to server1.conn308.child1/highlighter54, type showBoxModel failed
[task 2019-02-04T20:40:35.907Z] 20:40:35 INFO -
[task 2019-02-04T20:40:35.907Z] 20:40:35 INFO - Request stack:
[task 2019-02-04T20:40:35.910Z] 20:40:35 INFO - request@resource://devtools/shared/protocol.js:1386:14
[task 2019-02-04T20:40:35.910Z] 20:40:35 INFO - generateRequestMethods/</frontProto[name]@resource://devtools/shared/protocol.js:1510:14
[task 2019-02-04T20:40:35.911Z] 20:40:35 INFO - highlight@resource://devtools/shared/fronts/highlighters.js:73:11
[task 2019-02-04T20:40:35.911Z] 20:40:35 INFO - async*highlightDomElement@resource://devtools/client/webconsole/webconsole-output-wrapper.js:274:20
[task 2019-02-04T20:40:35.912Z] 20:40:35 INFO - async*getObjectInspector/onDOMNodeMouseOver<@resource://devtools/client/webconsole/utils/object-inspector.js:35:21
[task 2019-02-04T20:40:35.912Z] 20:40:35 INFO - onMouseOver@resource://devtools/client/shared/components/reps/reps.js:5887:27
[task 2019-02-04T20:40:35.913Z] 20:40:35 INFO - invokeGuardedCallback@resource://devtools/client/shared/vendor/react-dom.js:77:5
[task 2019-02-04T20:40:35.913Z] 20:40:35 INFO - invokeGuardedCallback@resource://devtools/client/shared/vendor/react-dom.js:107:5
[task 2019-02-04T20:40:35.913Z] 20:40:35 INFO - invokeGuardedCallbackAndCatchFirstError@resource://devtools/client/shared/vendor/react-dom.js:121:5
[task 2019-02-04T20:40:35.915Z] 20:40:35 INFO - executeDispatch@resource://devtools/client/shared/vendor/react-dom.js:399:3
[task 2019-02-04T20:40:35.915Z] 20:40:35 INFO - executeDispatchesInOrder@resource://devtools/client/shared/vendor/react-dom.js:418:5
[task 2019-02-04T20:40:35.915Z] 20:40:35 INFO - executeDispatchesAndRelease@resource://devtools/client/shared/vendor/react-dom.js:516:5
[task 2019-02-04T20:40:35.915Z] 20:40:35 INFO - executeDispatchesAndReleaseTopLevel@resource://devtools/client/shared/vendor/react-dom.js:527:10
[task 2019-02-04T20:40:35.916Z] 20:40:35 INFO - forEachAccumulated@resource://devtools/client/shared/vendor/react-dom.js:497:5
[task 2019-02-04T20:40:35.916Z] 20:40:35 INFO - runEventsInBatch@resource://devtools/client/shared/vendor/react-dom.js:658:5
[task 2019-02-04T20:40:35.916Z] 20:40:35 INFO - runExtractedEventsInBatch@resource://devtools/client/shared/vendor/react-dom.js:667:3
[task 2019-02-04T20:40:35.917Z] 20:40:35 INFO - handleTopLevel@resource://devtools/client/shared/vendor/react-dom.js:4262:5
[task 2019-02-04T20:40:35.917Z] 20:40:35 INFO - batchedUpdates$1@resource://devtools/client/shared/vendor/react-dom.js:13458:12
[task 2019-02-04T20:40:35.917Z] 20:40:35 INFO - batchedUpdates@resource://devtools/client/shared/vendor/react-dom.js:2022:12
[task 2019-02-04T20:40:35.918Z] 20:40:35 INFO - dispatchEvent@resource://devtools/client/shared/vendor/react-dom.js:4341:5
[task 2019-02-04T20:40:35.918Z] 20:40:35 INFO - EventListener.handleEvent*addEventBubbleListener@resource://devtools/client/shared/vendor/react-dom.js:3745:3
[task 2019-02-04T20:40:35.919Z] 20:40:35 INFO - trapBubbledEvent@resource://devtools/client/shared/vendor/react-dom.js:4292:3
[task 2019-02-04T20:40:35.919Z] 20:40:35 INFO - listenTo@resource://devtools/client/shared/vendor/react-dom.js:4488:13
[task 2019-02-04T20:40:35.919Z] 20:40:35 INFO - ensureListeningTo@resource://devtools/client/shared/vendor/react-dom.js:6087:3
[task 2019-02-04T20:40:35.919Z] 20:40:35 INFO - setInitialDOMProperties@resource://devtools/client/shared/vendor/react-dom.js:6140:9
[task 2019-02-04T20:40:35.921Z] 20:40:35 INFO - setInitialProperties$1@resource://devtools/client/shared/vendor/react-dom.js:6272:3
[task 2019-02-04T20:40:35.921Z] 20:40:35 INFO - finalizeInitialChildren@resource://devtools/client/shared/vendor/react-dom.js:6771:3
[task 2019-02-04T20:40:35.922Z] 20:40:35 INFO - completeWork@resource://devtools/client/shared/vendor/react-dom.js:11178:17
[task 2019-02-04T20:40:35.922Z] 20:40:35 INFO - completeUnitOfWork@resource://devtools/client/shared/vendor/react-dom.js:12591:18
[task 2019-02-04T20:40:35.924Z] 20:40:35 INFO - performUnitOfWork@resource://devtools/client/shared/vendor/react-dom.js:12718:12
[task 2019-02-04T20:40:35.924Z] 20:40:35 INFO - workLoop@resource://devtools/client/shared/vendor/react-dom.js:12730:24
[task 2019-02-04T20:40:35.925Z] 20:40:35 INFO - renderRoot@resource://devtools/client/shared/vendor/react-dom.js:12770:7
[task 2019-02-04T20:40:35.925Z] 20:40:35 INFO - performWorkOnRoot@resource://devtools/client/shared/vendor/react-dom.js:13359:22
[task 2019-02-04T20:40:35.926Z] 20:40:35 INFO - performWork@resource://devtools/client/shared/vendor/react-dom.js:13281:7
[task 2019-02-04T20:40:35.927Z] 20:40:35 INFO - performSyncWork@resource://devtools/client/shared/vendor/react-dom.js:13253:3
[task 2019-02-04T20:40:35.929Z] 20:40:35 INFO - requestWork@resource://devtools/client/shared/vendor/react-dom.js:13153:5
[task 2019-02-04T20:40:35.929Z] 20:40:35 INFO - scheduleWork$1@resource://devtools/client/shared/vendor/react-dom.js:13022:11
[task 2019-02-04T20:40:35.929Z] 20:40:35 INFO - enqueueSetState@resource://devtools/client/shared/vendor/react-dom.js:8845:5
[task 2019-02-04T20:40:35.929Z] 20:40:35 INFO - Component.prototype.setState@resource://devtools/client/shared/vendor/react.js:406:3
[task 2019-02-04T20:40:35.931Z] 20:40:35 INFO - onStateChange@resource://devtools/client/shared/vendor/react-redux.js:1412:11
[task 2019-02-04T20:40:35.931Z] 20:40:35 INFO - notify@resource://devtools/client/shared/vendor/react-redux.js:1159:21
[task 2019-02-04T20:40:35.932Z] 20:40:35 INFO - notifyNestedSubs@resource://devtools/client/shared/vendor/react-redux.js:1198:5
[task 2019-02-04T20:40:35.933Z] 20:40:35 INFO - onStateChange@resource://devtools/client/shared/vendor/react-redux.js:1409:11
[task 2019-02-04T20:40:35.933Z] 20:40:35 INFO - dispatch@resource://devtools/client/shared/vendor/redux.js:416:7
[task 2019-02-04T20:40:35.935Z] 20:40:35 INFO - eventTelemetryMiddleware/</<@resource://devtools/client/webconsole/middleware/event-telemetry.js:19:17
[task 2019-02-04T20:40:35.935Z] 20:40:35 INFO - historyPersistenceMiddleware/</<@resource://devtools/client/webconsole/middleware/history-persistence.js:33:17
[task 2019-02-04T20:40:35.936Z] 20:40:35 INFO - thunk/</<@resource://devtools/client/webconsole/middleware/thunk.js:14:9
[task 2019-02-04T20:40:35.936Z] 20:40:35 INFO - " {file: "resource://devtools/shared/protocol.js" line: 1299}]
[task 2019-02-04T20:40:35.938Z] 20:40:35 INFO - Buffered messages logged at 20:40:35
[task 2019-02-04T20:40:35.944Z] 20:40:35 INFO - Removing tab.
[task 2019-02-04T20:40:35.946Z] 20:40:35 INFO - Waiting for event: 'TabClose' on [object XULElement].
[task 2019-02-04T20:40:35.946Z] 20:40:35 INFO - Got event: 'TabClose' on [object XULElement].
[task 2019-02-04T20:40:35.947Z] 20:40:35 INFO - Tab removed and finished closing
[task 2019-02-04T20:40:35.947Z] 20:40:35 INFO - Buffered messages finished
[task 2019-02-04T20:40:35.955Z] 20:40:35 INFO - TEST-UNEXPECTED-FAIL | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | A promise chain failed to handle a rejection: Connection closed, pending request to server1.conn308.child1/highlighter54, type showBoxModel failed
[task 2019-02-04T20:40:35.955Z] 20:40:35 INFO -
[task 2019-02-04T20:40:35.955Z] 20:40:35 INFO - Request stack:
[task 2019-02-04T20:40:35.956Z] 20:40:35 INFO - request@resource://devtools/shared/protocol.js:1386:14
[task 2019-02-04T20:40:35.956Z] 20:40:35 INFO - generateRequestMethods/</frontProto[name]@resource://devtools/shared/protocol.js:1510:14
[task 2019-02-04T20:40:35.957Z] 20:40:35 INFO - highlight@resource://devtools/shared/fronts/highlighters.js:73:11
[task 2019-02-04T20:40:35.957Z] 20:40:35 INFO - async*highlightDomElement@resource://devtools/client/webconsole/webconsole-output-wrapper.js:274:20
[task 2019-02-04T20:40:35.958Z] 20:40:35 INFO - async*getObjectInspector/onDOMNodeMouseOver<@resource://devtools/client/webconsole/utils/object-inspector.js:35:21
[task 2019-02-04T20:40:35.958Z] 20:40:35 INFO - onMouseOver@resource://devtools/client/shared/components/reps/reps.js:5887:27
[task 2019-02-04T20:40:35.959Z] 20:40:35 INFO - invokeGuardedCallback@resource://devtools/client/shared/vendor/react-dom.js:77:5
[task 2019-02-04T20:40:35.959Z] 20:40:35 INFO - invokeGuardedCallback@resource://devtools/client/shared/vendor/react-dom.js:107:5
[task 2019-02-04T20:40:35.960Z] 20:40:35 INFO - invokeGuardedCallbackAndCatchFirstError@resource://devtools/client/shared/vendor/react-dom.js:121:5
[task 2019-02-04T20:40:35.960Z] 20:40:35 INFO - executeDispatch@resource://devtools/client/shared/vendor/react-dom.js:399:3
[task 2019-02-04T20:40:35.961Z] 20:40:35 INFO - executeDispatchesInOrder@resource://devtools/client/shared/vendor/react-dom.js:418:5
[task 2019-02-04T20:40:35.962Z] 20:40:35 INFO - executeDispatchesAndRelease@resource://devtools/client/shared/vendor/react-dom.js:516:5
[task 2019-02-04T20:40:35.962Z] 20:40:35 INFO - executeDispatchesAndReleaseTopLevel@resource://devtools/client/shared/vendor/react-dom.js:527:10
[task 2019-02-04T20:40:35.963Z] 20:40:35 INFO - forEachAccumulated@resource://devtools/client/shared/vendor/react-dom.js:497:5
[task 2019-02-04T20:40:35.963Z] 20:40:35 INFO - runEventsInBatch@resource://devtools/client/shared/vendor/react-dom.js:658:5
[task 2019-02-04T20:40:35.964Z] 20:40:35 INFO - runExtractedEventsInBatch@resource://devtools/client/shared/vendor/react-dom.js:667:3
[task 2019-02-04T20:40:35.965Z] 20:40:35 INFO - handleTopLevel@resource://devtools/client/shared/vendor/react-dom.js:4262:5
[task 2019-02-04T20:40:35.966Z] 20:40:35 INFO - batchedUpdates$1@resource://devtools/client/shared/vendor/react-dom.js:13458:12
[task 2019-02-04T20:40:35.967Z] 20:40:35 INFO - batchedUpdates@resource://devtools/client/shared/vendor/react-dom.js:2022:12
[task 2019-02-04T20:40:35.967Z] 20:40:35 INFO - dispatchEvent@resource://devtools/client/shared/vendor/react-dom.js:4341:5
[task 2019-02-04T20:40:35.969Z] 20:40:35 INFO - EventListener.handleEvent*addEventBubbleListener@resource://devtools/client/shared/vendor/react-dom.js:3745:3
[task 2019-02-04T20:40:35.970Z] 20:40:35 INFO - trapBubbledEvent@resource://devtools/client/shared/vendor/react-dom.js:4292:3
[task 2019-02-04T20:40:35.972Z] 20:40:35 INFO - listenTo@resource://devtools/client/shared/vendor/react-dom.js:4488:13
[task 2019-02-04T20:40:35.973Z] 20:40:35 INFO - ensureListeningTo@resource://devtools/client/shared/vendor/react-dom.js:6087:3
[task 2019-02-04T20:40:35.974Z] 20:40:35 INFO - setInitialDOMProperties@resource://devtools/client/shared/vendor/react-dom.js:6140:9
[task 2019-02-04T20:40:35.975Z] 20:40:35 INFO - setInitialProperties$1@resource://devtools/client/shared/vendor/react-dom.js:6272:3
[task 2019-02-04T20:40:35.976Z] 20:40:35 INFO - finalizeInitialChildren@resource://devtools/client/shared/vendor/react-dom.js:6771:3
[task 2019-02-04T20:40:35.983Z] 20:40:35 INFO - completeWork@resource://devtools/client/shared/vendor/react-dom.js:11178:17
[task 2019-02-04T20:40:35.985Z] 20:40:35 INFO - completeUnitOfWork@resource://devtools/client/shared/vendor/react-dom.js:12591:18
[task 2019-02-04T20:40:35.986Z] 20:40:35 INFO - performUnitOfWork@resource://devtools/client/shared/vendor/react-dom.js:12718:12
[task 2019-02-04T20:40:35.986Z] 20:40:35 INFO - workLoop@resource://devtools/client/shared/vendor/react-dom.js:12730:24
[task 2019-02-04T20:40:35.987Z] 20:40:35 INFO - renderRoot@resource://devtools/client/shared/vendor/react-dom.js:12770:7
[task 2019-02-04T20:40:35.988Z] 20:40:35 INFO - performWorkOnRoot@resource://devtools/client/shared/vendor/react-dom.js:13359:22
[task 2019-02-04T20:40:35.988Z] 20:40:35 INFO - performWork@resource://devtools/client/shared/vendor/react-dom.js:13281:7
[task 2019-02-04T20:40:35.993Z] 20:40:35 INFO - performSyncWork@resource://devtools/client/shared/vendor/react-dom.js:13253:3
[task 2019-02-04T20:40:35.995Z] 20:40:35 INFO - requestWork@resource://devtools/client/shared/vendor/react-dom.js:13153:5
[task 2019-02-04T20:40:35.995Z] 20:40:35 INFO - scheduleWork$1@resource://devtools/client/shared/vendor/react-dom.js:13022:11
[task 2019-02-04T20:40:35.995Z] 20:40:35 INFO - enqueueSetState@resource://devtools/client/shared/vendor/react-dom.js:8845:5
[task 2019-02-04T20:40:35.995Z] 20:40:35 INFO - Component.prototype.setState@resource://devtools/client/shared/vendor/react.js:406:3
[task 2019-02-04T20:40:35.996Z] 20:40:35 INFO - onStateChange@resource://devtools/client/shared/vendor/react-redux.js:1412:11
[task 2019-02-04T20:40:35.996Z] 20:40:35 INFO - notify@resource://devtools/client/shared/vendor/react-redux.js:1159:21
[task 2019-02-04T20:40:35.996Z] 20:40:35 INFO - notifyNestedSubs@resource://devtools/client/shared/vendor/react-redux.js:1198:5
[task 2019-02-04T20:40:35.996Z] 20:40:35 INFO - onStateChange@resource://devtools/client/shared/vendor/react-redux.js:1409:11
[task 2019-02-04T20:40:35.997Z] 20:40:35 INFO - dispatch@resource://devtools/client/shared/vendor/redux.js:416:7
[task 2019-02-04T20:40:35.998Z] 20:40:35 INFO - eventTelemetryMiddleware/</<@resource://devtools/client/webconsole/middleware/event-telemetry.js:19:17
[task 2019-02-04T20:40:35.998Z] 20:40:35 INFO - historyPersistenceMiddleware/</<@resource://devtools/client/webconsole/middleware/history-persistence.js:33:17
[task 2019-02-04T20:40:35.998Z] 20:40:35 INFO - thunk/</<@resource://devtools/client/webconsole/middleware/thunk.js:14:9
[task 2019-02-04T20:40:35.998Z] 20:40:35 INFO - - stack: destroy@resource://devtools/shared/protocol.js:1299:23
[task 2019-02-04T20:40:35.999Z] 20:40:35 INFO - destroy@resource://devtools/shared/protocol.js:946:9
[task 2019-02-04T20:40:35.999Z] 20:40:35 INFO - destroy@resource://devtools/shared/protocol.js:1301:5
[task 2019-02-04T20:40:35.999Z] 20:40:35 INFO - destroy@resource://devtools/shared/fronts/inspector.js:486:5
[task 2019-02-04T20:40:36.000Z] 20:40:35 INFO - destroyInspector/this._destroyingInspector<@resource://devtools/client/framework/toolbox.js:2836:13
[task 2019-02-04T20:40:36.000Z] 20:40:35 INFO - Async*destroyInspector@resource://devtools/client/framework/toolbox.js:2825:40
[task 2019-02-04T20:40:36.000Z] 20:40:35 INFO - _destroyToolbox@resource://devtools/client/framework/toolbox.js:2943:22
[task 2019-02-04T20:40:36.002Z] 20:40:35 INFO - async*destroy@resource://devtools/client/framework/toolbox.js:2873:23
[task 2019-02-04T20:40:36.002Z] 20:40:35 INFO - closeToolbox@resource://devtools/client/framework/devtools.js:594:11
[task 2019-02-04T20:40:36.003Z] 20:40:35 INFO - async*closeTabAndToolbox@chrome://mochitests/content/browser/devtools/client/shared/test/shared-head.js:452:11
[task 2019-02-04T20:40:36.004Z] 20:40:35 INFO - async*cleanup@chrome://mochitests/content/browser/devtools/client/shared/test/shared-head.js:136:11
[task 2019-02-04T20:40:36.004Z] 20:40:35 INFO - async*nextTest@chrome://mochikit/content/browser-test.js:705:30
[task 2019-02-04T20:40:36.005Z] 20:40:36 INFO - async*testScope/test_finish/<@chrome://mochikit/content/browser-test.js:1407:11
[task 2019-02-04T20:40:36.005Z] 20:40:36 INFO - run@chrome://mochikit/content/browser-test.js:1344:9
[task 2019-02-04T20:40:36.007Z] 20:40:36 INFO - Rejection date: Mon Feb 04 2019 20:40:32 GMT+0000 (Coordinated Universal Time) - false == true - JS frame :: resource://testing-common/PromiseTestUtils.jsm :: assertNoUncaughtRejections :: line 257
[task 2019-02-04T20:40:36.008Z] 20:40:36 INFO - Stack trace:
[task 2019-02-04T20:40:36.008Z] 20:40:36 INFO - resource://testing-common/PromiseTestUtils.jsm:assertNoUncaughtRejections:257
[task 2019-02-04T20:40:36.009Z] 20:40:36 INFO - chrome://mochikit/content/browser-test.js:nextTest:745
[task 2019-02-04T20:40:36.010Z] 20:40:36 INFO - chrome://mochikit/content/browser-test.js:testScope/test_finish/<:1407
[task 2019-02-04T20:40:36.010Z] 20:40:36 INFO - chrome://mochikit/content/browser-test.js:run:1344
[task 2019-02-04T20:40:36.012Z] 20:40:36 INFO - GECKO(1494) | MEMORY STAT | vsize 2602MB | residentFast 482MB | heapAllocated 140MB
[task 2019-02-04T20:40:36.012Z] 20:40:36 INFO - TEST-OK | devtools/client/webconsole/test/mochitest/browser_webconsole_reverse_search_mouse_navigation.js | took 9625ms

Based on retriggers this occurred when Bug 1522820 landed, Oriol can you please take a look?

Flags: needinfo?(oriol-bugzilla)

My patch affected the toolbar context menu, which the test doesn't seem to use.
Also, the intermittent failures continued between the 4th Feb when my patch was backed out and the 7th when I landed another one: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-02-04&endday=2019-02-07&tree=all&bug=1525129
And from the link in comment 1 it seems there were failures before my patch.
So it doesn't seem my fault.

Flags: needinfo?(oriol-bugzilla)
Assignee: nobody → nchevobbe

The logs seem to indicate an issue with the highlighter being triggered while the connection is closed.
I'll modify the test to not log dom elements in the output to get rid of the intermittent, but this also may highlight a broader issue.

Based on the failure logs, it looks like the test fail because
a node highlighter is being triggered while the toolbox is
closed.
Changing one of the input to not display any nodes in the output
should fix the issue.

Pushed by nchevobbe@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/1e8fa611b7ae
Fix intermittent in browser_webconsole_reverse_search_mouse_navigation.js; r=Honza.
Status: NEW → RESOLVED
Closed: 9 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 67
You need to log in before you can comment on or make changes to this bug.